using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TP08_GestEtudiants
{
    public partial class Form0 : Form
    {
        // Déclaration des formulaires enfants dans Form0
        Form1 leform1;
        Form2 leform2;

        public Form0()
        {
            InitializeComponent();
        }

        private void Form0_Load(object sender, EventArgs e)
        {
            //Le Form0 est formulaire MDI Container des autres formulaires
            this.IsMdiContainer = true;

        }

        private void Ex1ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // Avant de le créer, on teste que le leform est inexistant ou est fermé 
            if (leform1 == null || leform1.IsDisposed == true)
            {
                leform1 = new Form1();
                leform1.MdiParent = this; // leform est formulaire enfant du Form0 (this)
                leform1.Show();
            }
            else
            {
                leform1.Activate(); // Affichage au premier plan
            }
        }

        private void Ex2ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // Avant de le créer, on teste que le leform est inexistant ou est fermé 
            if (leform2 == null || leform2.IsDisposed == true)
            {
                leform2 = new Form2();
                leform2.MdiParent = this; // leform est formulaire enfant du Form0 (this)
                leform2.Show();
            }
            else
            {
                leform2.Activate(); // Affichage au premier plan
            }
        }

         private void QuitterToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

    }
}
